# tfvars

A mountpoint to store tfvars files for Terraform App Blueprints.

Key
:   Pattern “tfvars/key”

    Example: tfvars/my-aws-account

Value
:   The values for your tfvars file to be encrypted

Lease
:   Enter lease time in seconds (ex. 604800 for one week)

Click SAVE CHANGES and the stored values will be available for use.

NOTE

You may also see Cloud profiles stored at the tfvars mountpoint. They will have a key pattern like: “tfvars/profile/cloud/$cloudCode/variables”. Terraform Cloud profiles are created on the Cloud detail page (Infrastructure > Clouds > selected Cloud) under the Profiles tab. They allow Terraform apps and specs to be provisioned across multiple Clouds that require differed tfvars. See the [Cloud profiles](https://docs.morpheusdata.com/en/latest/infrastructure/clouds/profiles.html) page for more.
